/*
 * Date (yymmdd):               090320
 * Version:                     0.2
 * Written by:                  Dr. Francisco J. Romero-Campero
 * Additional contributions by: Jonathan Blakes
 * (in no particular order)     Dr. Hongqing Cao
 *                              Dr. Natalio Krasnogor
 *				Dr. Jamie Twycross
 * Funded by:                   EPSRC grant EP/E017215/1
 * Website:                     http://www.infobiotic.org/
 * Contact:                     nxk@cs.nott.ac.uk
 */

#ifndef PMODELCHECKER_H
#define PMODELCHECKER_H

#include "prismmodel.h"
#include "parameters.h"

std::string obtainHead(std::string HDF5file);
void generateSimulationsFileMC2(std::string simulationsHDF5,unsigned long runs,std::string simulationsMC2);
void generateSimulationsFromModel(std::string mcssParamsFile, std::string HDF5file, unsigned long runs, std::string simulationsFileMC2);
void checkProperties(std::string simulationsFileMC2, std::string temporalFormulas, std::string resultFile);

#endif
